Page MenuHomePhabricator

UploadWizard Flickr option fetches incorect files from a flickr album
Closed, ResolvedPublic

Description

https://www.flickr.com/photos/fotovertigo/albums/72157602298027631 is a link to a single album with 20 photographs. UploadWizard Flickr option fetches 100s of photographs but none of them from that album. This option worked before so something must have changed in out code or in Flickr URLs.

Event Timeline

Jarekt created this task.Mar 3 2016, 6:21 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 3 2016, 6:21 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
ferveo added a subscriber: ferveo.Mar 4 2016, 3:53 PM

Hi.
Flickr redirects [..]/albums/[..] to [..]/sets/[..] (after introducing "Albums" alias in Flickr v3.0).
Regex in album ID matcher (in checkFlickr()) needs regex updated accordingly (to check for both "albums" and "sets" keywords in URL).

I'll provide the patch later today.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptMar 4 2016, 3:53 PM

Change 275128 had a related patch set uploaded (by Ferveo):
Check for "albums" keyword when matching Flickr URL

https://gerrit.wikimedia.org/r/275128

Proposed patch fixes T126119 as well
(Sorry, I'm not quite sure how to link 2 tasks in a single patch commit message)

matmarex added a subscriber: matmarex.

Proposed patch fixes T126119 as well
(Sorry, I'm not quite sure how to link 2 tasks in a single patch commit message)

You can just add another "Bug:" line, I did it on your patch. Thanks for the fix and sorry for late response!

Change 275128 merged by jenkins-bot:
Check for "albums" keyword when matching Flickr URL

https://gerrit.wikimedia.org/r/275128

matmarex closed this task as Resolved.Mar 8 2016, 9:52 PM
matmarex assigned this task to ferveo.
matmarex triaged this task as Normal priority.
matmarex removed a project: Patch-For-Review.